// @ts-check
import {
  defaultImportExtensions as tsDie,
  defaultImportExtensionsRuleGranularOption as tsDiergo,
  defaultImportNoExtraneousDependenciesDevDependencies as tsDineddd,
  defaultImportResolverNodeExtensions as tsDirnde,
} from 'eslint-config-regiojet-typescript';
import {
  defaultImportExtensions as reDie,
  defaultImportExtensionsRuleGranularOption as reDiergo,
  defaultImportResolverNodeExtensions as reDirnde,
} from 'eslint-config-regiojet-vanilla-react';

const die = Array.from(new Set(['.tsx', ...reDie, ...tsDie]));
const diergo = { ...tsDiergo, ...reDiergo, tsx: 'never' };
const dirnde = Array.from(new Set(['.tsx', ...reDirnde, ...tsDirnde]));

export const defaultImportExtensions = die;
export const defaultImportExtensionsRuleGranularOption = diergo;
export const defaultImportResolverNodeExtensions = dirnde;
export const defaultImportNoExtraneousDependenciesDevDependencies = tsDineddd;
